<?xml version="1.0" encoding="UTF-8"?>
<ApprovalProcess xmlns="http://soap.sforce.com/2006/04/metadata">
    <active>false</active>
    <allowRecall>true</allowRecall>
    <allowedSubmitters>
        <type>owner</type>
    </allowedSubmitters>
    <approvalPageFields>
        <field>Name</field>
        <field>Opportunity__c</field>
        <field>Owner</field>
    </approvalPageFields>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Record_Type_MDU_Direct</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Status_Front_Office_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>Front_Office</name>
                <type>queue</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <label>Front Office Analyst Approval</label>
        <name>Front_Office_Analyst_Approval</name>
        <rejectionActions>
            <action>
                <name>DRF_Approve_Process_Email_Reject</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Rejected</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <enableMobileDeviceAccess>false</enableMobileDeviceAccess>
    <entryCriteria>
        <criteriaItems>
            <field>Front_Office_Request__c.RecordType</field>
            <operation>equals</operation>
            <value>MDU Direct (New DRF)</value>
        </criteriaItems>
        <criteriaItems>
            <field>Front_Office_Request__c.Front_Office_Decision__c</field>
            <operation>contains</operation>
            <value>New,Recalled</value>
        </criteriaItems>
        <criteriaItems>
            <field>Front_Office_Request__c.CreatedDate</field>
            <operation>lessOrEqual</operation>
            <value>11/1/2015 10:30 AM</value>
        </criteriaItems>
    </entryCriteria>
    <finalApprovalActions>
        <action>
            <name>Approved_DRF</name>
            <type>FieldUpdate</type>
        </action>
    </finalApprovalActions>
    <finalApprovalRecordLock>false</finalApprovalRecordLock>
    <finalRejectionActions>
        <action>
            <name>DRF_Approve_Process_Email_Reject</name>
            <type>Alert</type>
        </action>
    </finalRejectionActions>
    <finalRejectionRecordLock>true</finalRejectionRecordLock>
    <initialSubmissionActions>
        <action>
            <name>Assign_to_Front_Office</name>
            <type>FieldUpdate</type>
        </action>
        <action>
            <name>DRF_Approval_Process_Initial_Notifacation</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Status_Pending_FO_Approval</name>
            <type>FieldUpdate</type>
        </action>
    </initialSubmissionActions>
    <label>MDU DRF Approval Process - 10-16-2013</label>
    <processOrder>1</processOrder>
    <recallActions>
        <action>
            <name>Status_Recalled</name>
            <type>FieldUpdate</type>
        </action>
    </recallActions>
    <recordEditability>AdminOnly</recordEditability>
    <showApprovalHistory>true</showApprovalHistory>
</ApprovalProcess>
